
package com.tmerclub.cloud.supplier.dto;

import com.tmerclub.cloud.api.product.dto.BrandShopDTO;
import com.tmerclub.cloud.api.product.dto.CategoryShopDTO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/9 15:23
 */
public class SupplierCreateInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商家注册信息")
    private SupplierUserRegisterDTO supplierUserRegisterInfo;

    @Schema(description = "供应商基本信息")
    private SupplierDetailDTO supplierDetail;

    @Schema(description = "供应商工商信息")
    private SupplierCompanyDTO supplierCompany;

    @Schema(description = "签约分类列表")
    private List<CategoryShopDTO> categorySigningList;

    @Schema(description = "签约品牌列表")
    private List<BrandShopDTO> brandSigningList;

    @Schema(description = "供应商银行卡列表")
    private List<SupplierBankCardDTO> supplierBankCardList;

    @Schema(description = "通联供应商银行卡")
    private AllinpaySupplierBankCardDTO allinpaySupplierBankCardDTO;

    public SupplierUserRegisterDTO getSupplierUserRegisterInfo() {
        return supplierUserRegisterInfo;
    }

    public void setSupplierUserRegisterInfo(SupplierUserRegisterDTO supplierUserRegisterInfo) {
        this.supplierUserRegisterInfo = supplierUserRegisterInfo;
    }

    public SupplierDetailDTO getSupplierDetail() {
        return supplierDetail;
    }

    public void setSupplierDetail(SupplierDetailDTO supplierDetail) {
        this.supplierDetail = supplierDetail;
    }

    public SupplierCompanyDTO getSupplierCompany() {
        return supplierCompany;
    }

    public void setSupplierCompany(SupplierCompanyDTO supplierCompany) {
        this.supplierCompany = supplierCompany;
    }

    public List<CategoryShopDTO> getCategorySigningList() {
        return categorySigningList;
    }

    public void setCategorySigningList(List<CategoryShopDTO> categorySigningList) {
        this.categorySigningList = categorySigningList;
    }

    public List<BrandShopDTO> getBrandSigningList() {
        return brandSigningList;
    }

    public void setBrandSigningList(List<BrandShopDTO> brandSigningList) {
        this.brandSigningList = brandSigningList;
    }

    public List<SupplierBankCardDTO> getSupplierBankCardList() {
        return supplierBankCardList;
    }

    public void setSupplierBankCardList(List<SupplierBankCardDTO> supplierBankCardList) {
        this.supplierBankCardList = supplierBankCardList;
    }

    public AllinpaySupplierBankCardDTO getAllinpaySupplierBankCardDTO() {
        return allinpaySupplierBankCardDTO;
    }

    public void setAllinpaySupplierBankCardDTO(AllinpaySupplierBankCardDTO allinpaySupplierBankCardDTO) {
        this.allinpaySupplierBankCardDTO = allinpaySupplierBankCardDTO;
    }

    @Override
    public String toString() {
        return "SupplierCreateInfoDTO{" +
                "supplierUserRegisterInfo=" + supplierUserRegisterInfo +
                ", supplierDetail=" + supplierDetail +
                ", supplierCompany=" + supplierCompany +
                ", categorySigningList=" + categorySigningList +
                ", brandSigningList=" + brandSigningList +
                ", supplierBankCardList=" + supplierBankCardList +
                ", allinpaySupplierBankCardDTO=" + allinpaySupplierBankCardDTO +
                '}';
    }
}
